Page MenuHomePhabricator

Create a Policy Admins project and move all of the acl*various_policy_admins pojects under it as subprojects.
Closed, ResolvedPublic

Description

This will allow us to make the policy controls visible for:

  • "members of: #policy_admins"

instead of

  • "members of: #acl_fundraising_research_policy_admins, #acl_fr_policy_admins, #acl_communityliaison_policy_admins, #acl_operations-team"

Every time we create a new *policy_admins group I have to go and edit this list in several places. Although we don't have many such acl projects currently, it's error prone (I could forget to update one of the lists, etc) and it's not a scalable process.

Are there any objections to having a #policy-admins super-project?

Event Timeline

mmodell created this task.Mar 10 2016, 5:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2016, 5:47 PM

that current list of projects is not complete, is it?

@Krenair - that's the problem, I'm not even sure ;)

can you list all of the different places that this list exists in?

Security
#acl*communityliaison_policy_admins
#acl*fundraising_research_policy_admins
importbots
#acl*operations-team
#acl*fr_policy_admins

I wouldn't want to move Security or importbots (or #acl*operations-team) under policy-admins but the others could be a sub-project.

Since sub-projects inherit policies from their parent, and parent-projects inherit memebrs from their children(!) it should work as expected. I would use the parent project in places that need to reference the acl*policy_admins projects as a group instead of individually.

@Krenair: The list exists in the 'can view' policy for various forms (the versions of the forms which enable the policy controls) and possibly other places I have forgotten. It used to be in the "can edit policies" maniphest configuration option, but that is no longer used.

Specifically:

and I was about to create similar custom config to hide the policy controls on paste forms but I haven't done that yet. Thinking about paste, and possibly other future forms is what lead me to submit this proposal.

Restricted Application added a subscriber: scfc. · View Herald TranscriptMar 14 2016, 1:20 AM

I haven't converted the existing projects but the docs have been updated to reflect that new *policy_admins projects should be created under Policy-Admins

mmodell triaged this task as Normal priority.Mar 29 2016, 10:07 PM
mmodell closed this task as Resolved.Apr 22 2016, 3:38 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 22 2016, 3:38 AM